質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.80%

Laravel環境構築php-zip(ext-zip)のインストールについて

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 5,596
退会済みユーザー

退会済みユーザー

前提・実現したいこと

Laravelの環境構築をしています

https://qiita.com/da-sugi/items/7ee7a458aad4209bab01
を参考にして環境構築をしています。
brew install homebrew/core/composer
までは完了していますが、
composer global require "laravel/installer"
を入力したところで詰まりました。

発生している問題・エラーメッセージ

composer global require "laravel/installer"
をターミナルで入力すると、

Your requirements could not be resolved to an installable set of packages.

Problem 1

  • Installation request for laravel/installer ^2.1 -> satisfiable by laravel/installer[v2.1.0].
  • laravel/installer v2.1.0 requires ext-zip * -> the requested PHP extension zip is missing from your system.

To enable extensions, verify that they are enabled in your .ini files:

  • /etc/php.ini
    You can also run php --ini inside terminal to see which files are used by PHP in CLI mode.

Installation failed, reverting ./composer.json to its original content.

というエラーメッセージがでます。

このメッセージと自分で調べた結果から考えると、

試したこと

自力で解決しようと調べていると、
yum install php-zip
または
yum install php72-php-zip
というコマンドで解決した方が多かったので、
brew install php-zipやbrew install php72-php-zipを実行してみましたが、

Error: No available formula with the name "php72-php-pecl-zip" 
==> Searching for a previously deleted formula (in the last month)...
Warning: homebrew/core is shallow clone. To get complete history run:
git -C "$(brew --repo homebrew/core)" fetch --unshallow

Error: No previously deleted formula found.
==> Searching for similarly named formulae...
Error: No similarly named formulae found.
==> Searching taps...
==> Searching taps on GitHub...
Error: No formulae found in taps.

というエラーメッセージがでました。homebrewにはそんなパッケージないよという意味と解釈しましたが、どのようなコマンドを打てば解決しますでしょうか。

また、同様の問題を抱えていた方は、yum install php-zipで解決しているようですが、php-zipがインストールできたら
Installation request for laravel/installer ^2.1 -> satisfiable by laravel/installer[v2.1.0]
というエラーメッセージについても解決されるのでしょうか。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+3

mac ターミナルで。

$ pecl install zip

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/10/14 17:34

    php --ini
    Configuration File (php.ini) Path: /etc
    Loaded Configuration File: /etc/php.ini
    Scan for additional .ini files in: (none)
    Additional .ini files parsed: (none)

    となりました。

    キャンセル

  • 2019/10/14 17:44

    もしかしてPHP はbrew でインストールされたものではなく、Mac にプリインストールされたものですか?
    そうであれば、PHP自体をBrewでインストールしてください。

    キャンセル

  • 2019/10/14 18:26

    おっしゃる通りでございました。
    私の勉強不足でしたが、解決案をご提示いただき、大変助かりました。
    homebrewにてphp7.3をインストールしてターミナル再起動、brew link phpを実行後、
    composer global require "laravel/installer"
    をすると、正常にインストールされました。
    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.80%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る